#include "Arducat.h"
#include "Arduino.h"
#include "DHT.h"
#include "LiquidCrystal_I2C.h"

void Arducat::rgb_start(int pin)
{
  pinMode(pin,OUTPUT);
  digitalWrite(pin,HIGH);
}


void Arducat::rgb_stop(int pin)
{
  pinMode(pin,OUTPUT);
  digitalWrite(pin,LOW);
}


void Arducat::rgb_pwm(int pin,int pwm)
{
  pinMode(pin,OUTPUT);
  analogWrite(pin,pwm);
}
void Arducat::rgb_state(int pin,int binry)
{
  pinMode(pin,OUTPUT);
  digitalWrite(pin,binry);
}

void Arducat::motor_kontrol(int pin,int pwm)
{
  pinMode(pin,OUTPUT);
  pinMode(12,OUTPUT);
  pinMode(13,OUTPUT);
  analogWrite(pin,pwm);
   digitalWrite(12,1);digitalWrite(13,1);
}

void Arducat:: yon_kontrol(int yon,int hiz)
{ for (int i=0; i<6;i++){
  pinMode(i+8,OUTPUT);
  }
 if(yon==1){  analogWrite(10,hiz); analogWrite(9,hiz);digitalWrite(12,1);digitalWrite(13,1); } // ileri 
 if(yon==2){  analogWrite(10,hiz); analogWrite(9,hiz);digitalWrite(12,0);digitalWrite(13,0); } // geri
 if(yon==3){  analogWrite(10,hiz); analogWrite(9,hiz);digitalWrite(12,0);digitalWrite(13,1); } // sola        
 if(yon==4){  analogWrite(10,hiz); analogWrite(9,hiz);digitalWrite(12,1);digitalWrite(13,0); }// saga
 if(yon==5){  analogWrite(10,hiz*0.65); analogWrite(9,hiz);digitalWrite(12,1);digitalWrite(13,1); }// sag_carpraz
 if(yon==6){  analogWrite(10,hiz); analogWrite(9,hiz*0.65);digitalWrite(12,1);digitalWrite(13,1); }}// sol_carpraz

void Arducat::fren()
{
  analogWrite(10,0);
  analogWrite(9,0);
}

int Arducat::isi_oku(int pin,int dht_type)
{   int z=1;
   DHT dht_1(pin,dht_type);
     z= dht_1.readTemperature();
    return z;
}

int Arducat::isi_degeri()
{ Arducat ornek;  
  int x=ornek.isi_oku(17,11);
  return x;
}

int Arducat::nem_degeri()
{ Arducat ornek;  
  int x=ornek.nem_oku(17,11);
  return x;
}

int Arducat::nem_oku(int pin,int dht_type)
{   int z=1;
   DHT dht_1(pin,dht_type);
     z= dht_1.readHumidity();
    return z;
}

int Arducat::mesafe()
{ int trigPin=8; pinMode(trigPin,OUTPUT);
  int echoPin=7; pinMode(echoPin,INPUT);
  digitalWrite(trigPin, LOW); /* sensör pasif hale getirildi */
  delayMicroseconds(5);
  digitalWrite(trigPin, HIGH); /* Sensore ses dalgasının üretmesi için emir verildi */
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);  /* Yeni dalgaların üretilmemesi için trig pini LOW konumuna getirildi */ 
 int sure = pulseIn(echoPin, HIGH); /* ses dalgasının geri dönmesi için geçen sure ölçülüyor */
 int uzaklik= sure /29.1/2; /* ölçülen sure uzaklığa çevriliyor */    
 if(uzaklik<0){uzaklik=0;}
 return uzaklik;
}
 